com.trendmicro.ds.platform.rest.object.administrators

## Enum Administrator.TimeFormat

- java.lang.Object
- - java.lang.Enum<Administrator.TimeFormat>
  - - com.trendmicro.ds.platform.rest.object.administrators.Administrator.TimeFormat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Administrator.TimeFormat>
  Enclosing class:
    Administrator

      public static enum Administrator.TimeFormat
      extends java.lang.Enum<Administrator.TimeFormat>

  Time formats supported by Deep Security.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TWELVE_HOUR` Use 12-hour time format when displaying times in the Deep Security Manager console.
    `TWENTY_FOUR_HOUR` Use 24-hour time format when displaying times in the Deep Security Manager console.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Administrator.TimeFormat` | `forValue(int value)`
    `int` | `getValue()`
    `static Administrator.TimeFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Administrator.TimeFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TWELVE_HOUR

          public static final Administrator.TimeFormat TWELVE_HOUR

      Use 12-hour time format when displaying times in the Deep Security Manager console.

    - #### TWENTY_FOUR_HOUR

          public static final Administrator.TimeFormat TWENTY_FOUR_HOUR

      Use 24-hour time format when displaying times in the Deep Security Manager console.

  - ### Method Detail

    - #### values

          public static Administrator.TimeFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Administrator.TimeFormat c : Administrator.TimeFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Administrator.TimeFormat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### forValue

          public static Administrator.TimeFormat forValue(int value)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.